Loading...
Searching...
No Matches
itkGPUKernelManagerHelperFunctions.h File Reference
`#include "itkGPUImage.h"`
`#include "itkOpenCLKernelManager.h"`
`#include "itkOpenCLContext.h"`
`#include "itkOpenCLOstreamSupport.h"`
`#include <string>`
Include dependency graph for itkGPUKernelManagerHelperFunctions.h:

Go to the source code of this file.

## Data Structures

struct | itk::GPUImageBase1D
struct | itk::GPUImageBase2D
struct | itk::GPUImageBase3D

## Namespaces

namespace | itk

## Functions

template<typename ImageType>
void | itk::SetKernelWithDirection (const typename ImageType::DirectionType &dir, cl_float &direction1d, cl_float4 &direction2d, cl_float16 &direction3d)
template<typename ImageType>
void | itk::SetKernelWithITKImage (OpenCLKernelManager::Pointer &kernelManager, const int kernelIdx, cl_uint &argIdx, const typename ImageType::Pointer &image, typename GPUDataManager::Pointer &imageBase, const bool copyImage, const bool copyImageBase)

Generated on 1768596610 for elastix by 1.15.0 |